org.apache.lucene.luke.app.desktop.components

## Class SearchPanelProvider

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.SearchPanelProvider

All Implemented Interfaces:
  ComponentOperatorRegistry.ComponentOperator, SearchTabOperator

    public final class SearchPanelProvider
    extends Object
    implements SearchTabOperator

Provider of the Search panel

### Nested Class Summary

Nested Classes
`static class` `SearchPanelProvider.Tab` tabs in the Search panel

### Constructor Summary

Constructors
Constructor and Description
`SearchPanelProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `enableExactHitsCB(boolean value)`
`JPanel` `get()`
`void` `mltSearch(int docNum)`
`void` `searchByTerm(String field, String term)`
`void` `setExactHits(boolean value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SearchPanelProvider

    public SearchPanelProvider()
                        throws IOException

Throws:
  `IOException`

### Method Detail

#### get

    public JPanel get()

#### searchByTerm

    public void searchByTerm(String field,
                             String term)

Specified by:
  `searchByTerm` in interface `SearchTabOperator`

#### mltSearch

    public void mltSearch(int docNum)

Specified by:
  `mltSearch` in interface `SearchTabOperator`

#### enableExactHitsCB

    public void enableExactHitsCB(boolean value)

Specified by:
  `enableExactHitsCB` in interface `SearchTabOperator`

#### setExactHits

    public void setExactHits(boolean value)

Specified by:
  `setExactHits` in interface `SearchTabOperator`